Name: klogd
Summary: Kernel message logging daemon.
Version: 1.4.1
Release: 2ss
Copyright: GPL
Group: System Environment/Daemons
Source: http://www.infodrom.ffis.de/projects/sysklogd/download/sysklogd-1.4.1.tar.gz
Source1: klogd.run
Source2: klogd-log.run
Patch: klogd-nofork.patch
BuildRoot: /tmp/klogd-root
URL: http://em.ca/~bruceg/rpms/klogd/
Packager: Bruce Guenter <bruceg@em.ca>
Conflicts: sysklogd
Requires: supervise-scripts >= 3.2

%description
This package contains a system utility which provides logging of kernel
messages.

%prep
%setup -n sysklogd-1.4.1
%patch -p1

%build
make klogd

%install
rm -fr $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_bindir}
install -d $RPM_BUILD_ROOT/%{_mandir}/man8

install -m 444 klogd.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 555 klogd $RPM_BUILD_ROOT/%{_bindir}

install -d $RPM_BUILD_ROOT/var/log/kernel
install -d $RPM_BUILD_ROOT/var/service/klogd/log
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/var/service/klogd/run
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/var/service/klogd/log/run

%clean
rm -rf $RPM_BUILD_ROOT

%pre
PATH="/sbin:/usr/sbin:$PATH" export PATH

add_group() { grep "^$1:" /etc/group >/dev/null || groupadd -r "$1"; }
add_group kernelog

add_user() { grep "^$1:" /etc/passwd >/dev/null || useradd -d "$3" -g "$2" -M -r -s /bin/true "$1"; }
add_user  kernelog kernelog /var/log/kernel

%post
if ! [ -e /service/klogd ]
then
  echo "Type 'svc-add klogd' to start this service."
fi

%preun
if [ "$1" = 0 ]
then
  svc-remove klogd
fi

%postun
if [ "$1" = 0 ]
then
  userdel kernelog
  groupdel kernelog
fi

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/*/*
%attr(-,kernelog,kernelog) %dir /var/log/kernel
%attr(1755,root,root) %dir /var/service/klogd
%dir /var/service/klogd/log
%config(noreplace) /var/service/klogd/run
%config(noreplace) /var/service/klogd/log/run
